<?php
class AdminCarrierWizardController extends AdminCarrierWizardControllerCore
{
public function renderStepOne($carrier)
    {
        $this->fields_form = array(
            'form' => array(
                'id_form' => 'step_carrier_general',
                'input' => array(
                    array(
                        'type' => 'text',
                        'label' => $this->trans('Carrier name', array(), 'Admin.Shipping.Feature'),
                        'name' => 'name',
                        'required' => true,
                        'hint' => array(
                            sprintf($this->trans('Allowed characters: letters, spaces and "%s".', array(), 'Admin.Shipping.Help'), '().-'),
                            $this->trans('The carrier\'s name will be displayed during checkout.', array(), 'Admin.Shipping.Help'),
                            $this->trans('For in-store pickup, enter 0 to replace the carrier name with your shop name.', array(), 'Admin.Shipping.Help')
                        )
                    ),
					 array(
                     'type' => 'text',
                     'label' => $this->l('Campo de Prueba'),
                     'name' => 'campo_prueba',
                     'hint' => $this->l('Esto es un campo de prueba')
					),
                    array(
                        'type' => 'text',
                        'label' => $this->trans('Transit time', array(), 'Admin.Shipping.Feature'),
                        'name' => 'delay',
                        'lang' => true,
                        'required' => true,
                        'maxlength' => 512,
                        'hint' => $this->trans('The delivery time will be displayed during checkout.', array(), 'Admin.Shipping.Help')
                    ),
                    array(
                        'type' => 'text',
                        'label' => $this->trans('Speed grade', array(), 'Admin.Shipping.Feature'),
                        'name' => 'grade',
                        'required' => false,
                        'size' => 1,
                        'hint' => $this->trans('Enter "0" for a longest shipping delay, or "9" for the shortest shipping delay.', array(), 'Admin.Shipping.Help')
                    ),
                    array(
                        'type' => 'logo',
                        'label' => $this->trans('Logo', array(), 'Admin.Global'),
                        'name' => 'logo'
                    ),
                    array(
                        'type' => 'text',
                        'label' => $this->trans('Tracking URL', array(), 'Admin.Shipping.Feature'),
                        'name' => 'url',
                        'hint' => $this->trans('Delivery tracking URL: Type \'@\' where the tracking number should appear. It will be automatically replaced by the tracking number.', array(), 'Admin.Shipping.Help'),
                        'desc' => $this->trans('For example: \'http://example.com/track.php?num=@\' with \'@\' where the tracking number should appear.', array(), 'Admin.Shipping.Help')
                    )
                )
            )
        );

        $tpl_vars = array('max_image_size' => (int)Configuration::get('PS_PRODUCT_PICTURE_MAX_SIZE') / 1024 / 1024);
        $fields_value = $this->getStepOneFieldsValues($carrier);
        return $this->renderGenericForm(array('form' => $this->fields_form), $fields_value, $tpl_vars);
    }



    public function getStepOneFieldsValues($carrier)
    {
        return array(
            'id_carrier' => $this->getFieldValue($carrier, 'id_carrier'),
            'name' => $this->getFieldValue($carrier, 'name'),
            'delay' => $this->getFieldValue($carrier, 'delay'),
            'grade' => $this->getFieldValue($carrier, 'grade'),
			'campo_prueba' => $this->getFieldValue($carrier, 'campo_prueba'),
            'url' => $this->getFieldValue($carrier, 'url'),
        );
    }
}